tree_meta_data = {'Lx':'x-component of halo angular momentum, units: 10^11 Msun km/s Mpc',
                  'Ly':'y-component of halo angular momentum, units: 10^11 Msun km/s Mpc',
                  'Lz':'z-component of halo angular momentum, units: 10^11 Msun km/s Mpc',
                  'bush_id':'unique id of the "bush" that the halo is in',
                  'cvel':'circular velocity of the halo at r_vir, units: km/s',
                  'descendent_id':'id of the descendant halo',
                  'dmacc':'? Probably mass of newly accreted mass onto the halo',
                  'ek':'kinetic energy, units: ?',
                  'ep':'potential energy, units: ?',
                  'et':'total energy = ek+ep, units: ?',
                  'first_prog':'index of the first progenitor',
                  'frag':'whether or not the halo is considered a "fragment". 0 = no, 1 = yes',
                  'halo_id':'unique id for this halo on this timestep, defined recursively along the tree',
                  'halo_num':'halo number, allows matching with HaloMaker output',
                  'halo_ts':'timestep for this halo. NOTE: this is decremented by 1 relative to the ramses timestep convention',
                  'host_halo_id':'halo_id of the host of this halo',
                  'host_sub_id':'?',
                  'last_prog':'index/id (?) of the last progenitor',
                  'm':'halo mass computed by summing all dark matter particle masses, units: 10^11 Msun',
                  'mvir':'halo mass computed by SOMETHING, units: 10^11 Msun',
                  'next_prog':'index of the next progenitor',
                  'next_sub_id':'id of the next subhalo',
                  'r':'distance to the most distant particle associated to this halo, units: cMpc',
                  'rvir':'halo virial radius, units: cMpc',
                  'spin':'dimensionless spin parameter',
                  'tree_id':'unique id of the tree that this halo is in',
                  'tvir':'virial temperature of the halo at r_vir, units: Kelvin',
                  'vx':'x-component of the halo velocity, units: km/s',
                  'vy':'y-component of the halo velocity, units: km/s',
                  'vz':'z-component of the halo velocity, units: km/s',
                  'x':'x-coordinate of the halo position, units: code cMpc',
                  'y':'y-coordinate of the halo position, units: code cMpc',
                  'z':'z-coordinate of the halo position, units: code cMpc'}
